View Issue Details

IDProjectCategoryView StatusLast Update
0001051OpenMPT[All Projects] libopenmptpublic2017-10-26 10:17
ReporterSaga MusixAssigned Tomanx 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product VersionOpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first) 
Target VersionOpenMPT 1.27.02.00 / libopenmpt 0.3.2 (current stable)Fixed in VersionOpenMPT 1.27.02.00 / libopenmpt 0.3.2 (current stable) 
Summary0001051: libopenmpt C interface android compile error
Description

According to sidar on IRC, libopenmpt_c.cpp fails to compile on Android NDK r15:

no member named 'fgetpos' in the global namespace
    using ::fgetpos;
no member named 'fsetpos' in the global namespace
    using ::fsetpos;

It looks like this is not part of our code but rather an NDK issue.

Additional Information

https://github.com/android-ndk/ndk/issues/480

TagsNo tags attached.
Has the bug occurred in previous versions?
Tested code revision (in case you know it)

Relationships

related to 0001046 assignedmanx Support libc++ in Android builds 

Activities

manx

manx

2017-10-25 06:50

administrator   ~0003311

Last edited: 2017-10-25 07:11

View 2 revisions

armeabi-v7a target fails, other targets that get build before it do work.
All 32bit targets fail.

manx

manx

2017-10-25 07:21

administrator   ~0003312

0.4: r9125
0.3: r9126

manx

manx

2017-10-25 11:37

administrator   ~0003313

We should be able to re-enable largefile support for Android with NDK16.

manx

manx

2017-10-26 10:17

administrator   ~0003315

Also applied to 0.2: r9136

Issue History

Date Modified Username Field Change
2017-10-24 19:35 Saga Musix New Issue
2017-10-24 19:35 Saga Musix Status new => assigned
2017-10-24 19:35 Saga Musix Assigned To => manx
2017-10-24 19:35 Saga Musix Description Updated View Revisions
2017-10-25 06:50 manx Status assigned => confirmed
2017-10-25 06:50 manx Note Added: 0003311
2017-10-25 07:11 manx Note Edited: 0003311 View Revisions
2017-10-25 07:21 manx Status confirmed => resolved
2017-10-25 07:21 manx Resolution open => fixed
2017-10-25 07:21 manx Fixed in Version => OpenMPT 1.27.02.00 / libopenmpt 0.3.2 (current stable)
2017-10-25 07:21 manx Note Added: 0003312
2017-10-25 07:21 manx Target Version => OpenMPT 1.27.02.00 / libopenmpt 0.3.2 (current stable)
2017-10-25 11:37 manx Additional Information Updated View Revisions
2017-10-25 11:37 manx Note Added: 0003313
2017-10-25 11:38 manx Relationship added related to 0001046
2017-10-26 10:17 manx Note Added: 0003315